Package org.aopalliance.intercept

# Interface Invocation

All Superinterfaces:
  `Joinpoint`

All Known Subinterfaces:
  `ConstructorInvocation`, `MethodInvocation`, `ProxyMethodInvocation`

All Known Implementing Classes:
  `ReflectiveMethodInvocation`

public interface Invocation extends Joinpoint
This interface represents an invocation in the program.

An invocation is a joinpoint and can be intercepted by an interceptor.

Author:
  Rod Johnson

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArguments()`
Get the arguments as an array object.

### Methods inherited from interface org.aopalliance.intercept.Joinpoint

`getStaticPart, getThis, proceed`

## Method Details

### getArguments

@Nonnull Object[] getArguments()
Get the arguments as an array object. It is possible to change element values within this array to change the arguments.

Returns:
  the argument of the invocation